3.2

Hillel (Sabba) Markowitz sabbahem@bcpl.net
Fri Sep 20 12:18:00 GMT 2002


1. You should update to binutils-2.13
2. gdb-5.3 is due out on October 9 according to the gdb home page schedule.

---------------------- Begin Original Message --------------------------------
From: Michal Liptak <liptak at isdd dot sk>
To: gcc-help at gcc dot gnu dot org
Date: Fri, 20 Sep 2002 11:08:20 +0200
Subject: 3.2



When I upgraded gcc to 3.2 I started to have problems with gdb.
I get this error which prevents me from debugging any 3.2 compiled binary:

(gdb) file some-bin-file-compiled-with-3.2
Reading symbols from test-config...Dwarf Error: Cannot handle DW_FORM_strp in 
DWARF reader.

My gdb is GNU gdb 20010813 (MI_OUT).

Also sometimes when linking I get this error:
/usr/bin/ld: Dwarf Error: Invalid or unhandled FORM value: 14.

My ld is GNU ld version 2.11.90.0.8 (with BFD 2.11.90.0.8).

Should I upgrade my binutils and/or gdb?
Thanks for your response..

and my gcc is:
Reading specs from /usr/local/lib/gcc-lib/i686-pc-linux-gnu/3.2/specs
Configured with: ./configure --enable-shared --with-gnu-as --with-gnu-ld 
--enable-threads=posix --enable-languages=c,c++
Thread model: posix
gcc version 3.2

----------------------------- End original message ------------------------

-- 
Said the fox to the fish, "Join me ashore".
 The fish are the Jews, Torah is our water

Hillel (Sabba) Markowitz - sabbahem@bcpl.net



More information about the Gcc-help mailing list